Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 187422 - eid-mw (new package)
Summary: eid-mw (new package)
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High enhancement (vote)
Assignee: Default Assignee for New Packages
URL: http://code.google.com/p/eid-mw/
Whiteboard: sunrise suggested
Keywords: EBUILD
Depends on:
Blocks:
 
Reported: 2007-08-01 18:49 UTC by Thomas De Reyck
Modified: 2012-04-12 15:24 UTC (History)
17 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Contains ebuild directory for contributed package beid-runtime-2.5.9 (beid-runtime.tar.bz2,3.75 KB, application/x-bzip-compressed-tar)
2007-08-01 18:58 UTC, Thomas De Reyck
Details
Bump beid-runtime to version 2.6.0 (beid-runtime.tar.bz2,10.83 KB, application/octet-stream)
2007-11-17 13:04 UTC, Pierre Colot
Details
Card Reader for acr38u non CCID version backported from debian (acr38u.tar.bz2,6.50 KB, application/octet-stream)
2007-11-17 13:07 UTC, Pierre Colot
Details
check for wxGTK 2.8 (wxGTK28.patch,551 bytes, patch)
2008-05-16 12:54 UTC, Vincent Hardy
Details | Diff
New beid ebuild (beid.tar.bz2,9.78 KB, application/octet-stream)
2008-05-21 17:05 UTC, Pierre Lejeune
Details
Driver for ACR38U-based smartcard reader from manufacturer (acr38u_driver.tar.bz2,5.49 KB, application/octet-stream)
2008-05-21 17:06 UTC, Pierre Lejeune
Details
Improved patch for wxGTK 2.8 (wxGTK28.patch,4.49 KB, patch)
2008-05-22 21:10 UTC, Pierre Lejeune
Details | Diff
beid-runtime-2.6.0-r1 (beid-runtime.tar.bz2,11.69 KB, application/octet-stream)
2008-06-02 12:53 UTC, Vincent Hardy
Details
app-crypt-1.7.8-r4 (app-crypt-1.7.8-r4.tar.bz2,6.17 KB, application/octet-stream)
2008-06-05 21:47 UTC, Pierre Colot
Details
import_header : new patch to fix patch reject (import_header.patch,384 bytes, patch)
2009-03-11 07:25 UTC, Vincent Hardy
Details | Diff
fix_paths : new patch to fix patch reject (fix_paths.patch,14.70 KB, patch)
2009-03-11 07:26 UTC, Vincent Hardy
Details | Diff
Patch to enable compilaton with gcc4.x (gcc43.patch,2.07 KB, patch)
2009-04-29 05:12 UTC, Vande Vonder Andre
Details | Diff
New ebuild installed and tested under 2008.0 (beid-2.6.0_pre.tgz,1.73 MB, application/octet-stream)
2009-04-29 21:43 UTC, Vande Vonder Andre
Details
Desktop integration (beiddesktop.tgz,417 bytes, application/octet-stream)
2009-05-01 06:58 UTC, Vande Vonder Andre
Details
New Ebuild with lot of correction (beid-2.6.0_pre.tgz,1.73 MB, application/octet-stream)
2009-05-02 16:00 UTC, Vande Vonder Andre
Details
Change log correction (beid-2.6.0_pre.tgz,1.73 MB, application/octet-stream)
2009-05-04 16:07 UTC, Vande Vonder Andre
Details
Ebuild with new source uri (beid-2.6.0_pre.tgz,14.06 KB, application/octet-stream)
2009-05-06 10:49 UTC, Vande Vonder Andre
Details
new beid ebuild 3.5.2_p5800 (beid-runtime.tar.bz2,11.11 KB, application/octet-stream )
2009-08-09 08:21 UTC, Vincent Hardy
Details
qt-mt configure detection failure (build.log,2.77 KB, text/plain)
2009-08-12 14:29 UTC, Fadi Adlouni
Details
beid 3.5.2_p5800 ebuild without qt-mt detection (beid-runtime.tar.bz2,11.55 KB, application/octet-stream)
2009-08-24 15:48 UTC, Vincent Hardy
Details
beid 3.5.2_p5800-r1 ebuild (beid-runtime.tar.bz2,13.08 KB, application/octet-stream)
2009-10-30 16:36 UTC, Vincent Hardy
Details
new 1.7.10 version (acr38u_driver.tar.bz2,6.24 KB, application/octet-stream)
2009-11-03 17:07 UTC, Vincent Hardy
Details
beid subversion (beid-runtime.tar.bz2,12.95 KB, application/octet-stream)
2010-01-31 16:15 UTC, Vincent Hardy
Details
acr38u driver 1.7.10 (acr38u_driver.tar.bz2,6.24 KB, application/octet-stream)
2010-04-29 12:35 UTC, Vincent Hardy
Details
ebuild - beid subversion sources branch 3.5.4 (beid-runtime-3.5.4.tar.bz2,4.76 KB, application/octet-stream)
2010-06-14 08:59 UTC, Vincent Hardy
Details
emerging beid-runtime with 64bits gentoo (beid_build.log,20.41 KB, text/plain)
2010-08-17 11:11 UTC, Vincent Hardy
Details
ebuild - beid subversion sources (TRUNK) (beid-runtime.tar.bz2,6.24 KB, application/octet-stream)
2010-10-27 09:20 UTC, Vincent Hardy
Details
ebuild - beid subversion sources (TRUNK) (beid-runtime.tar.bz2,5.81 KB, application/octet-stream)
2010-10-28 07:07 UTC, Vincent Hardy
Details
ACR 38U driver (acr38u-1.7.10-r4.tar.gz,727.49 KB, application/octet-stream)
2011-01-14 09:31 UTC, Urban
Details
ACR 38U driver (acr38u-1.7.10-r4.tar.gz,6.68 KB, text/plain)
2011-01-17 13:26 UTC, Urban
Details
acr38u smart card driver 1.7.10 : add udev rule (acr38u_driver.tar.bz2,6.57 KB, application/octet-stream)
2011-01-27 11:57 UTC, Vincent Hardy
Details
ebuild - beid subversion sources (TRUNK) (beid-runtime.tar.bz2,6.21 KB, application/octet-stream)
2011-02-14 14:07 UTC, Vincent Hardy
Details
acr38u non CCID driver (ebuild only) (acr38u-1.7.10-r1.ebuild,1.10 KB, text/plain)
2011-03-16 11:05 UTC, Vincent Hardy
Details
ACR38u Non CCID driver (acr38u_driver.tar.bz2,2.47 KB, application/octet-stream)
2011-03-16 11:11 UTC, Vincent Hardy
Details
ebuild - beid subversion sources (TRUNK) (beid-runtime.tar.bz2,5.87 KB, application/octet-stream)
2011-03-21 08:15 UTC, Vincent Hardy
Details
ebuild alone for review by gentoo devs (eid-mw-4.0.0_p925.ebuild,1.15 KB, text/plain)
2011-07-26 08:29 UTC, Vincent Hardy
Details
eid-mw-4.0.0_p925 (app-misc.tar.bz2,7.42 KB, application/octet-stream)
2011-07-26 08:31 UTC, Vincent Hardy
Details
eid-mw-4.0.0_p1120 (app-misc.tar.bz2,11.11 KB, application/octet-stream)
2011-12-28 10:36 UTC, Vincent Hardy
Details
eid-mw-4.0.0_p1135 (app-misc.tar.bz2,11.43 KB, application/octet-stream)
2012-01-18 14:03 UTC, Vincent Hardy
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas De Reyck 2007-08-01 18:49:46 UTC
Hello,

attached here is an ebuild script for the beid-runtime (version 2.5.9), a package supplied by the Belgian government to enable your computer to interact with electronic identity cards.

Two patches are included. One to disable qt detection during configuration, because it always fails, and one to patch a bug in the source code.

Reproducible: Always
Comment 1 Thomas De Reyck 2007-08-01 18:58:58 UTC
Created attachment 126641 [details]
Contains ebuild directory for contributed package beid-runtime-2.5.9
Comment 2 Pierre Colot 2007-11-17 13:04:02 UTC
Created attachment 136156 [details]
Bump beid-runtime to version 2.6.0

To complete the installation, a specific card reader driver has to be installed.
This driver is used by pcsc-lite to access the card.

CCID based card have to emerge ccid

Non CCID version of ACS/ACR38U has to emerge the acr38u driver backported from debian included in the next attachment

To any other information, follow the official documentation

Enjoy egov from linux (especially tax-on-web :-))
Comment 3 Pierre Colot 2007-11-17 13:07:42 UTC
Created attachment 136158 [details]
Card Reader for acr38u non CCID version backported from debian 

The driver for the basic ID 072f:9000 Advanced Card Systems, Ltd ACR38 AC1038-based Smart Card Reader
Comment 4 Pierre Colot 2007-11-17 13:10:00 UTC
The version beid-runtime-2.5.9 is not accessible anymore
Comment 5 Vincent Hardy 2008-05-16 12:54:21 UTC
Created attachment 153319 [details, diff]
check for wxGTK 2.8

Gentoo uses now wxGTK 2.8.
With the current ebuild, portage doesn't build eidviewer because wxGTK is not found.
Could someone include this patch in the current ebuild ?
Comment 6 Pierre Lejeune 2008-05-17 20:06:08 UTC
Hello,

The attachment acr38u.tar.bz2 only contains an ebuild to build the driver. Its SRC_URI is http://localhost/${P}.tar.bz2, which means it tries to download a file named acr38u-1.7.9.tar.bz2 from localhost and, of course, it doesn't find that file. Could you please provide us the link to the driver's tarball?
Thanks.

Pierre Lejeune
Comment 7 Pierre Lejeune 2008-05-21 17:03:23 UTC
Hello,

As the two ebuilds proposed above didn't work for me, I modified them.

I added two patches in the beid ebuild : one which fixes an install phase bug, another one for fixing some "ldconfig -v" verbosity (I commented the line in the configure script). I also added the wxGTK28.patch.

I modified the acr38u ebuild by getting the driver on the manufacturer's website : http://www.acs.com.hk/acr38_driversmanual.asp

It works pretty well on my computer. Could you try on yours?

Pierre Lejeune
Comment 8 Pierre Lejeune 2008-05-21 17:05:55 UTC
Created attachment 153855 [details]
New beid ebuild

New ebuild with two more patches and wxGTK28.patch.
Comment 9 Pierre Lejeune 2008-05-21 17:06:42 UTC
Created attachment 153857 [details]
Driver for ACR38U-based smartcard reader from manufacturer
Comment 10 Pierre Lejeune 2008-05-22 21:10:40 UTC
Created attachment 153989 [details, diff]
Improved patch for wxGTK 2.8

This improved patch makes "beidgui" compile with wxGTK 2.8. It has some code fixes because this app was originally made with wxGTK 2.6. Be aware that wxGTK 2.8 has to be compiled without the odbc USE-flag because of "conflicting declaration" between unixODBC (via wxGTK 2.8 odbc USE-flag) and pcsc-lite (dependency of beid ebuild).
Comment 11 Vincent Hardy 2008-06-02 12:53:00 UTC
Created attachment 155221 [details]
beid-runtime-2.6.0-r1

ebuild from Pierre Colot + patch wxGTK28.
do not compile wxGTK 2.8 with odbc USE flag : see comment #10 from Pierre Lejeune.
Comment 12 Pierre Colot 2008-06-05 21:47:11 UTC
Created attachment 155651 [details]
app-crypt-1.7.8-r4

*acr38-1.7.9-r4.ebuild (05-06-2008)

  05-06-2008; Pierre Colot <pierre_jr_colot@hotmail.com> :
  Revision bump to differenciate 04-11-2007 and 22-05-2008 version
  Re-introduction of ChangeLog and metadata.xml
  Completion of ChangeLog to track 22-05-2008 changes
  Test on amd64 architecture
Comment 13 Pierre Colot 2008-06-05 21:54:27 UTC
During beid-runtime emerge this error :

OSError: 'wx-config --cppflags' exited 1:

occurs if no version of wxwidgets was choosen :

eselect wxwidgets show
none

To resolve this problem, set wxwidgets to gtk2-unicode-release-2.8

Comment 14 Pierre Colot 2008-06-05 21:55:11 UTC
Those ebuild have been successfully tested on amd64 architecture
Comment 15 Pierre Colot 2008-06-05 21:58:24 UTC
Is any volunteer to help in adding an use parameter to suppress all graphical dependency and allow a clean pam usage ?

Comment 16 Pierre Colot 2008-06-05 21:59:57 UTC
Only the last 2 attachments are useful, the others are obsolete.
Comment 17 Vincent Hardy 2008-09-15 09:46:22 UTC
Comment on attachment 155221 [details]
beid-runtime-2.6.0-r1

beid 2.6 not available at all on eid.belgium.be

New beid 3.5 binaries only : where are sources :-(
Comment 18 Pierre Lejeune 2008-09-20 12:23:06 UTC
(In reply to comment #17)
> (From update of attachment 155221 [details] [edit])
> beid 2.6 not available at all on eid.belgium.be
> 
> New beid 3.5 binaries only : where are sources :-(
> 

I sent a mail to Fedict's Service Desk asking for sources. I'll post the answer as soon as I receive it.
Comment 19 Pierre Lejeune 2008-09-22 11:25:39 UTC
(In reply to comment #18)
> (In reply to comment #17)
> > (From update of attachment 155221 [details] [edit] [edit])
> > beid 2.6 not available at all on eid.belgium.be
> > 
> > New beid 3.5 binaries only : where are sources :-(
> > 
> 
> I sent a mail to Fedict's Service Desk asking for sources. I'll post the answer
> as soon as I receive it.
> 

I've just received the answer from Fedict's Service Desk. They say the middleware sources are planned and they are working on it but they don't know yet when it will be released. Sources will be placed on eid.belgium.be when available.

So wait and see.
Comment 20 Karel De Vriendt 2008-09-22 17:44:13 UTC
I got a similar answer from Fedict (indicating "a few weeks" as timeframe).  Seems strange that they cannot provide the source code but have binary packages.
Comment 21 Tom Rogie aka Trogie 2008-11-03 13:33:10 UTC
looks like there is still no progress in getting the source?
Comment 22 Pierre Lejeune 2008-11-04 13:58:22 UTC
(In reply to comment #21)
> looks like there is still no progress in getting the source?
> 

The real question is : will they ever release the sources?
Comment 23 Vincent Hardy 2008-11-05 08:27:52 UTC
Subsequent question : they use QT4 for beid 3.5. Commercial or free edition, how to know ?
Comment 24 Gunirus 2009-01-12 21:26:15 UTC
(In reply to comment #23)
> Subsequent question : they use QT4 for beid 3.5. Commercial or free edition,
> how to know ?
> 
I've called them today, they told me the 3.5 version of the middleware wasnt opensource anymore.
Comment 25 Vincent Hardy 2009-01-15 12:24:02 UTC
Three days ago, I've sent a mail and answer is (today 15/01/2009)
Source will be released mid-february. (It's not a joke, I've the mail!)
Wait and see...
Comment 26 Pierre Lejeune 2009-02-23 17:12:22 UTC
(In reply to comment #25)
> Three days ago, I've sent a mail and answer is (today 15/01/2009)
> Source will be released mid-february. (It's not a joke, I've the mail!)
> Wait and see...
> 

We are over mid-february. No news or sources on eid.belgium.be

Same questions but different answers...
It doesn't seem very serious.
Comment 27 Ben 2009-02-25 13:03:43 UTC
# emerge -va beid

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild  N F  ] app-misc/beid-2.6.0_p20070222  USE="-gtk -java" 1,758 kB [1]

Total: 1 package (1 new), Size of downloads: 1,758 kB
Fetch Restriction: 1 package (1 unsatisfied)
Portage tree and overlays:
 [0] /usr/portage
 [1] /usr/local/portage

Would you like to merge these packages? [Yes/No]

>>> Verifying ebuild manifests

>>> Emerging (1 of 1) app-misc/beid-2.6.0_p20070222 from unknown repo

!!! app-misc/beid-2.6.0_p20070222 has fetch restriction turned on.
!!! This probably means that this ebuild's files must be downloaded
!!! manually.  See the comments in the ebuild for more information.

 * The Belgian Federal Portal Site prevents automated downloading.
 * Please download "http://www.belgium.be/zip/beid-2.6.0-20070222.tgz" from:
 * http://www.belgium.be/zip/eid_datacapture_fr.html or
 * http://www.belgium.be/zip/eid_datacapture_nl.html
 * (under the "Belgian Identity Card Run-time" and "Linux" headers, just above the documentation PDF file.)
 * Place the downloaded file in /usr/portage/distfiles.
 * Fetch failed for 'app-misc/beid-2.6.0_p20070222', Log file:
 *  '/var/tmp/portage/app-misc/beid-2.6.0_p20070222/temp/build.log'

>>> Failed to emerge app-misc/beid-2.6.0_p20070222, Log file:

>>>  '/var/tmp/portage/app-misc/beid-2.6.0_p20070222/temp/build.log'

 * Messages for package app-misc/beid-2.6.0_p20070222:

 * Fetch failed for 'app-misc/beid-2.6.0_p20070222', Log file:
 *  '/var/tmp/portage/app-misc/beid-2.6.0_p20070222/temp/build.log'
Comment 28 Vincent Hardy 2009-02-25 14:20:34 UTC
see comment #17

Well I put beid-2.6.0 here :
http://home.scarlet.be/linux/beid-2.6.0-20070222.tgz

Download manually in your distfiles directory and re-emerge.

After that, in case of trouble, try rather beid-runtime-2.6.0-r1 ebuild 
(in any way, all ebuilds of this page are obsolete).
Comment 29 Ben 2009-02-26 12:46:25 UTC
problem with beid-runtime-2.6.0-r1, is that, it will give this:

======================================================================
emerge -av beid-runtime

These are the packages that would be merged, in order:

Calculating dependencies /

!!! Invalid or corrupt dependency specification:

missing space by parenthesis: '(x'

('ebuild', '/', 'app-misc/beid-runtime-2.6.0-r1', 'merge')

>=dev-util/pkgconfig-0.15.0 >=sys-apps/pcsc-lite-1.2.9 >=x11-libs/qt-3.3.3 >=dev-lang/python-1.5.2 >=dev-libs/openssl-0.9.7 gtk? (x11-libs/wxGTK) java? (>=virtual/jdk-1.5.0) >=dev-util/scons-0.97

This package can not be installed. Please notify the 'app-misc/beid-
runtime-2.6.0-r1' package maintainer about this problem.
... done!
======================================================================


When you say "obsolete", does it mean that 
it won't emerge
or it will emerge but will be useless (as in "you can't connect tax on web anyway)
or it will emerge and connect, but you are just missing the latest brand new 3.5 ?

This cookbook sounded great: http://www.ping.be/linux/beid.html
but is someway a bit deprecated... pitty.

Comment 30 Erik Quaeghebeur 2009-03-08 23:11:58 UTC
I've also sent a mail to servicedesk@fedict.be requesting the sources, hoping that more requests mean more attention. If need be, I'll contact my representatives in parliament and the responsible ministry, that sometimes works wonders.

In the mean time: is there a clear description somewhere of the steps I should take to use my ucr38u fedict reader to work with my eID right now? i.e., describing driver install & (possibly previous versions of the) middleware install on Gentoo.
Comment 31 Erik Quaeghebeur 2009-03-09 22:14:32 UTC
(In reply to comment #30)
> I've also sent a mail to servicedesk@fedict.be requesting the sources, [...]

I've got a response (they're fast & friendly, but not very forthcoming):

"De open source is momenteel nog niet beschikbaar.  Wij hopen deze zo snel
mogelijk vrij te geven op onze website http://eid.belgium.be/

Wij kunnen echter geen release datum meegeven."

So no real news here. I've requested that they put the old sources back on-line until the new ones are ready. I've also asked for status updates on the website and an explanation for the delay... (perhaps just a lack of allocatable money to pay a contractor to do the job of creating a publicisable tarball).
Comment 32 Erik Quaeghebeur 2009-03-10 22:49:59 UTC
(In reply to comment #30)
>
> In the mean time: is there a clear description somewhere of the steps I should
> take to use my ucr38u fedict reader to work with my eID right now? i.e.,
> describing driver install & (possibly previous versions of the) middleware
> install on Gentoo.

I've reconstructed the steps from the other comments and some looking around. I've used the non-obsoleted attachments in this bugreport. Installing the acr38u driver went well. Installing beid however gave me the following error: 

# cat /var/tmp/portage/app-misc/beid-2.6.0_p20070222/temp/build.log
>>> Unpacking source...
 * If this package detects a valid java JDK, it will install its java component even if the java use-flag is not set.
 * If this package detects wxGTK, the beidgui frontend will be built even if the gtk use flag is not set.
>>> Unpacking beid-2.6.0-20070222.tgz to /var/tmp/portage/app-misc/beid-2.6.0_p20070222/work
 * Applying disable_qt_detection.patch ...                   [ ok ]
 * Applying reader.pcsc.c.patch                              [ ok ]
 * Applying list_ccflags.patch ...                           [ ok ]
 * Applying import_header.patch ...

 * Failed Patch: import_header.patch !
 *  ( /usr/local/portage/app-misc/beid/files/import_header.patch )
 *
 * Include in your bugreport the contents of:
 *
 *   /var/tmp/portage/app-misc/beid-2.6.0_p20070222/temp/import_header.patch-18392.out

 *
 * ERROR: app-misc/beid-2.6.0_p20070222 failed.
 * Call stack:
 *               ebuild.sh, line   49:  Called src_unpack
 *             environment, line 2206:  Called epatch '/usr/local/portage/app-misc/beid/files/import_header.patch'
 *             environment, line 1173:  Called die
 * The specific snippet of code:
 *                   die "Failed Patch: ${patchname}!";
 *  The die message:
 *   Failed Patch: import_header.patch!
 *
 * If you need support, post the topmost build error, and the call stack if relevant.
 * A complete build log is located at '/var/tmp/portage/app-misc/beid-2.6.0_p20070222/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/app-misc/beid-2.6.0_p20070222/temp/environment'.
 * This ebuild is from an overlay: '/usr/local/portage/'
 *
 
I'm on amd64; but I guess this should not be the problem as the ebuild was reported to work on this arch. Can somebody help me get past this error? If I need to give more info, please ask.
Comment 33 Vincent Hardy 2009-03-11 07:24:17 UTC
You are right : acr38u work well.

I've rebuilt 2 patchs to fix patchs rejections. 
Now compilation works well but install fails.
Help is welcome to fix install problems.
Comment 34 Vincent Hardy 2009-03-11 07:25:53 UTC
Created attachment 184655 [details, diff]
import_header : new patch to fix patch reject
Comment 35 Vincent Hardy 2009-03-11 07:26:47 UTC
Created attachment 184657 [details, diff]
fix_paths : new patch to fix patch reject
Comment 36 Erik Quaeghebeur 2009-03-13 23:32:37 UTC
(In reply to comment #31)
>
> [...] I've requested that they put the old sources back on-line
> until the new ones are ready. I've also asked for status updates on the 
> website and an explanation for the delay... 

The respose was:

"Voorlopig kunnen wij deze nog niet releasen.

De release zal aangekondigd worden op http://eid.belgium.be/

Wij danken u voor uw begrip."

Not very forthcoming with any info whatsoever. When I have time, I'll file a bug report with my representatives in parliament ;-).
Comment 37 Erik Quaeghebeur 2009-03-14 13:47:02 UTC
(In reply to comment #33)
> 
> I've rebuilt 2 patchs to fix patchs rejections. 
> Now compilation works well but install fails.
> Help is welcome to fix install problems.
> 
Well, after redigesting the ebuild for the new patches and installing and eselecting wxGTK-2.8, both the compilation and the installation went well for me (on amd64).

Using the beid-programs on the other hand results in errors (the card is not found/read; tested the cardreader and card elsewhere, and their fine):

After starting pcscd 

# /etc/init.d/pcscd start 

the gui and other programs, such as beid-tools can be run (the gui complains when changing languages about not having fr_BE, de_DE, and en_GB locale installed... but that's not important, functionally speaking, I think). The errors I get are:

beidgui: "Systeem Error : Onbekende errorcode" (i.e., System Error, Unknown error code")

$ beid-tool -n
Connecting to card in reader ACS ACR38U 00 00...
Failed to connect to card: Card is invalid or cannot be handled

I have no idea where the problem lies here. Any help welcome.
Comment 38 Erik Quaeghebeur 2009-03-14 13:49:06 UTC
(In reply to comment #33)
>
> You are right : acr38u work well.

Perhaps we should make a separate ebuild request for it. I'm willing to do this if the original author(s) of the acr38u ebuild are ok with this.
Comment 39 Erik Quaeghebeur 2009-03-14 14:08:43 UTC
(In reply to comment #37)
> 
> Using the beid-programs on the other hand results in errors

Ok. I was very confused (I had put in my bank card...). Using my eID, I get a bit farther (but not there yet):

$ beid-tool -n
Connecting to card in reader ACS ACR38U 00 00...
Using card driver: Belpic smartcards
Card name: Belpic smartcards

$ beid-pkcs11-tool -t
C_SeedRandom() and C_GenerateRandom():
  seems to be OK
Digests:
  all 4 digest functions seem to work
  MD5: OK
  SHA-1: OK
  RIPEMD160: OK
Signatures (currently only RSA signatures)
  testing key 0 (Authentication)
  all 4 signature functions seem to work
  testing signature mechanisms:
    RSA-PKCS: OK
    SHA1-RSA-PKCS: OK
    MD5-RSA-PKCS: OK
    RIPEMD160-RSA-PKCS: OK
  testing key 1 (Signature) with 1 signature mechanism
    RSA-PKCS: OK
Verify (currently only for RSA):
  testing key 0 (Authentication)
    RSA-PKCS: OK
    SHA1-RSA-PKCS: OK
    MD5-RSA-PKCS: OK
    RIPEMD160-RSA-PKCS: OK
  testing key 1 (Signature) with 1 mechanism
    RSA-PKCS: OK
Key unwrap (RSA)
  testing key 0 (Authentication)  -- can't be used to unwrap, skipping
  testing key 1 (Signature)  -- can't be used to unwrap, skipping
Testing card detection

However, for the gui, I get another error:

"Error : Verkeerd Root Certificaat" (i.e., "Error : Wrong Root Certificate")

I seem to remember having read something about this, but I can't seem to find a solution on-line. Any help on this issue welcome. (I have the impression I'm almost there.)
Comment 40 Vincent Hardy 2009-03-16 08:48:35 UTC
(In reply to comment #39)
> However, for the gui, I get another error:
> 
> "Error : Verkeerd Root Certificaat" (i.e., "Error : Wrong Root Certificate")
> 
> I seem to remember having read something about this, but I can't seem to find a
> solution on-line. Any help on this issue welcome. (I have the impression I'm
> almost there.)
> 
Some certificates work only with new beid 3.5
Comment 41 Erik Quaeghebeur 2009-03-21 15:00:42 UTC
(In reply to comment #40)
> > However, for the gui, I get another error:
> > 
> > "Error : Verkeerd Root Certificaat" (i.e., "Error : Wrong Root Certificate")
> > 
> Some certificates work only with new beid 3.5

It seems this was not the problem. After setting OCSP to Mandatory, this error went away and I could read out my eID.

Now, using it on-line hasn't worked yet: Firefox doesn't seem aware of it yet; when trying MyMinFin, I get:


Beveiligde verbinding mislukt

Fout tijdens het verbinden met ccff02.minfin.fgov.be.

SSL-peer kon niet onderhandelen over een acceptabele set beveiligingsparameters.

(Foutcode: ssl_error_handshake_failure_alert)


Any pointers on how I can get past this hurdle?

(Any pointers on how I can start Firefox in English for making bugreports like this more accessible?)
Comment 42 Xavier Miller gentoo-dev 2009-03-23 20:03:44 UTC
Hello,

I sent a mail to FedICT but they don't seem to be very proactive.

(sorry this is in french):

-- 8< -- 8< -- 8< -- 8< -- 8< -- 8< -- 8< -- 8< -- 8< -- 8< -- 8< -- 8< --
Bonjour,

J'essaie en vain d'installer BelPic sur Gentoo Linux (32 et 64 bits), et
je n'y arrive pas : je n'ai pas les sources de la version courante et la
version précédente n'est plus accessible (et elle fonctionnait).

Serait-il possible d'avoir une version "sources" qui fonctionne sur
Gentoo 32 et 64 ?

Un citoyen "libre",
Xavier Miller.

-- 8< -- 8< -- 8< -- 8< -- 8< -- 8< -- 8< -- 8< -- 8< -- 8< -- 8< -- 8< --
Bonjour,

Les codes sources ne sont pas encore possible.  Nous sommes dans la finalisation, et le release vas être annoncer sur http://eid.belgium.be/

Cordialement,

Bob Artois
Service Desk Fedict

-- 8< -- 8< -- 8< -- 8< -- 8< -- 8< -- 8< -- 8< -- 8< -- 8< -- 8< -- 8< --
Super !

Je surveille cela attentivement.

Je fais partie d'un LUG à Braine l'Alleud, CulBUTTE http://www.culbutte.be, et suite à notre atelier "beid et linux" de l'année passée, plusieurs souhaitent installer le middleware sur leurs distributions... sans succès : les dépendances binaires sont trop anciennes (par exemple xerces-2.7 alors qu'actuellement c'est la 2.8 d'installée).

Nous sommes à trois mois des déclarations fiscales, cela nous rend d'autant plus attentifs à l'intéropérabilité de TaxOnWeb et autres sites dépendant de BEID, chose qui vous est aussi particulièrement sensible.

J'attends donc la mise à jour et je la testerai dès que possible.

Bien à vous,
Xavier Miller.


-- 8< -- 8< -- 8< -- 8< -- 8< -- 8< -- 8< -- 8< -- 8< -- 8< -- 8< -- 8< --
Comment 43 Erik Quaeghebeur 2009-03-24 09:20:43 UTC
(In reply to comment #36)
>
> When I have time, I'll file a bug report with my representatives
> in parliament ;-).

I sent a mail to most (Flemish) parties concerning this matter. (Any volunteers for contacting the French-language parties?)

I got a friendly & speedy reply from a coordinator of the NVA party:
The problem is juridical. They will interpellate the responsible minister (Van Quickenborne) concerning this matter.

With the upcoming regional elections in mind, they also took the opportunity to voice their opinion that all software made for or on request by the (Flemish) government should be open source. I hope I get similar responses from the other parties!
Comment 44 Xavier Miller gentoo-dev 2009-03-24 09:30:59 UTC
Yes indeed : elections + the need to have beID running well before june (tax report), FedICT "must" listen to us and respect his engagements.

As you said in my previous answer, I launched the subject in my LUG (CulBUTTE).

It would be interesting to federate all LUGs, from Vlaanderen, Brussels and Walloon region to let our voices talking togheter and in force.
Comment 45 Jeremy Olexa (darkside) (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2009-04-10 05:01:21 UTC
(this is an automated message based on filtering criteria that matched this bug)
'EBUILD' is in the KEYWORDS which should mean that there is a ebuild attached 
to this bug.
This bug is assigned to maintainer-wanted which means that it is not in the 
main tree.
Heuristics show that no Gentoo developer has commented on your ebuild.

Hello, The Gentoo Team would like to firstly thank you for your ebuild 
submission. We also apologize for not being able to accommodate you in a timely
manner. There are simply too many new packages.

Allow me to use this opportunity to introduce you to Gentoo Sunrise. The 
sunrise overlay[1] is a overlay for Gentoo which we allow trusted users to 
commit to and all users can have ebuilds reviewed by Gentoo devs for entry 
into the overlay. So, the sunrise team is suggesting that you look into this 
and submit your ebuild to the overlay where even *you* can commit to. =)

Because this is a mass message, we are also asking you to be patient with us. 
We anticipate a large number of requests in a short time. 

Thanks,
On behalf of the Gentoo Sunrise Team,
Jeremy.

[1]: http://www.gentoo.org/proj/en/sunrise/
[2]: http://overlays.gentoo.org/proj/sunrise/wiki/SunriseFaq
Comment 46 Gregory SACRE 2009-04-25 18:36:10 UTC
I also wrote to the ministry of finances and again to eid.belgium.be to ask for the source code. Let's hope it works.

Meanwhile, instead of using this bug to come back and forth on how people try to make it work, would someone open a forum thread and explain what he got so far and it would probably be a better place to discuss about any advancement on this subject. Let me know what you think.
Comment 47 Vande Vonder Andre 2009-04-29 05:12:40 UTC
Created attachment 189796 [details, diff]
Patch to enable compilaton with gcc4.x

Actually, i work on new beid-2.6.0_pre-r2.
Revison of all patch (fix_path, warnings and fix_warning mix)
Status : Scons patch some errors with version >scon-1.X 
Estimation : 30 april 2009
Comment 48 Vande Vonder Andre 2009-04-29 21:43:05 UTC
Created attachment 189903 [details]
New ebuild installed and tested under 2008.0

Complete ebuild for beid. It's include patch and source files

Attention : it use scons 0.97 only, i don't have more time to work (learn scons)

Regards
Comment 49 Xavier Miller gentoo-dev 2009-04-30 14:35:37 UTC
Hello,

I am very disappointed because no source code is available, even the previous versions.

Do FedICT respect the law ? Are there LGPL (and worse: GPL) code in the source code ? In that case, we can take contact with the Free Software Foundation to complain about that fact.
Comment 50 Vande Vonder Andre 2009-05-01 06:58:11 UTC
Created attachment 190017 [details]
Desktop integration 

Desktop file to create menu entry, copy to /usr/share/applications
Integrated next release of beid
I continue to work on, to have a final and stable release off
Comment 51 Vande Vonder Andre 2009-05-02 16:00:35 UTC
Created attachment 190134 [details]
New Ebuild with lot of correction

Change beidgui.desktop to correct location (/usr/share/application)
Change beidgui.png to correct location (/usr/share/beid)
Change documentation folder (/usr/share/doc/beid)
Create Changelog file
Create mini howto
Comment 52 Daniel Faucon 2009-05-02 23:44:23 UTC
Last ebuild doesn't works here :


#
* Done with patching
#
>>> Source unpacked in /var/tmp/portage/app-misc/beid-2.6.0_pre/work
#
>>> Compiling source in /var/tmp/portage/app-misc/beid-2.6.0_pre/work/beid-2.6.0 ...
#
Checking for Python               :  /usr/bin/python
#
Checking for SCons                :  /usr/bin/scons
#
calling scons configure with parameters
#
/usr/lib/scons-0.97/SCons/Sig/MD5.py:41: DeprecationWarning: the md5 module is deprecated; use hashlib instead
#
  md5 = imp.load_module('md5', file, name, desc)
#
scons: Reading SConscript files ...
#
/usr/lib/scons-0.97/SCons/Platform/posix.py:37: DeprecationWarning: The popen2 module is deprecated.  Use the subprocess module.
#
  import popen2
#
** installation prefix for the project set to: /var/tmp/portage/app-misc/beid-2.6.0_pre/image/usr
#
Checking for pkg-config... AttributeError: 'NodeList' object has no attribute 'alter_targets':
#
  File "/var/tmp/portage/app-misc/beid-2.6.0_pre/work/beid-2.6.0/SConstruct", line 63:
#
    if not conf.CheckPKGConfig('0.15.0'):
#
  File "/usr/lib/scons-0.97/SCons/SConf.py", line 555:
#
    ret = apply(self.test, (context,) +  args, kw)
#
  File "/var/tmp/portage/app-misc/beid-2.6.0_pre/work/beid-2.6.0/SConstruct", line 40:
#
    ret = context.TryAction('pkg-config --atleast-pkgconfig-version=%s' % version)[0]
#
  File "/usr/lib/scons-0.97/SCons/SConf.py", line 718:
#
    return apply(self.sconf.TryAction, args, kw)
#
  File "/usr/lib/scons-0.97/SCons/SConf.py", line 504:
#
    ok = self.TryBuild(self.env.SConfActionBuilder, text, extension)
#
  File "/usr/lib/scons-0.97/SCons/SConf.py", line 483:
#
    result = self.BuildNodes(nodesToBeBuilt)
#
  File "/usr/lib/scons-0.97/SCons/SConf.py", line 410:
#
    jobs.run()
#
  File "/usr/lib/scons-0.97/SCons/Job.py", line 69:
#
    self.job.start()
#
  File "/usr/lib/scons-0.97/SCons/Job.py", line 105:
#
    task = self.taskmaster.next_task()
#
  File "/usr/lib/scons-0.97/SCons/Taskmaster.py", line 655:
#
    node = self._find_next_ready_node()
#
  File "/usr/lib/scons-0.97/SCons/Taskmaster.py", line 485:
#
    node = self.next_candidate()
#
  File "/usr/lib/scons-0.97/SCons/Taskmaster.py", line 444:
#
    alt, message = node.alter_targets()
#
 *
#
 * ERROR: app-misc/beid-2.6.0_pre failed.
#
 * Call stack:
#
 *               ebuild.sh, line   49:  Called src_compile
#
 *             environment, line 2590:  Called die
#
 * The specific snippet of code:
#
 *       ./configure prefix=${D}/usr libdir=${D}/usr/lib confdir=${D}/etc || die "An error occured while configuring the package.";
#
 *  The die message:
#
 *   An error occured while configuring the package.
#
 
Comment 53 Vande Vonder Andre 2009-05-03 18:57:58 UTC
(In reply to comment #52)
> Last ebuild doesn't works here :
> 
> 
> #
> /usr/lib/scons-0.97/SCons/Sig/MD5.py:41: DeprecationWarning: the md5 module is
> deprecated; use hashlib instead
> #
I Have some question 
1) What about USE settings (post emerge --info)
2) If you have gtk USE flag, what command "eselect wxwidgets list" return
3) The beid-2.6.0_pre install scons-0.97 ?

About question 3, a scons script are pre-compiled/linked with to installed python between install, it's possible that the upgrade of python to the newer version can't rebuild this. 

Sorry about inconvenient, thanks for your feedback

Comment 54 Daniel Faucon 2009-05-03 22:39:25 UTC
> I Have some question 
> 1) What about USE settings (post emerge --info)
> 2) If you have gtk USE flag, what command "eselect wxwidgets list" return
> 3) The beid-2.6.0_pre install scons-0.97 ?


1) Pasted after 2) and 3) for more readability

2) 
Available wxWidgets profiles:
  [1]   gtk2-ansi-release-2.6
  [2]   gtk2-unicode-release-2.6
  [3]   gtk2-unicode-release-2.8 *

3) Yes, it forces scons-0.97.



1) USE="X a52 aac aalib ac3 acl acpi aiglx alsa amd64 amrnb apm avahi bash-completion berkdb bluetooth bonobo bzip2 cdr cli cracklib crypt cups dbus dell directfb divx divx4linux doc dri dvd dvdr dvdread encode examples exif fbcon fbcondecor fbsplash ffmpeg fortran ftp fuse gd gdbm gif gmedia gnutls gpm gstreamer gtk gtkhtml hal hibernate-script hwac3 iconv imlib injection ipod ipv6 irc isdnlog jabber java javascript jpeg jpeg2k libcaca libnotify lm_sensors lua mad madwifi matroska mdnsresponder-compat midi mikmod mmx modplug mono mp3 mpeg mplayer msn mudflap multilib musicbrainz mysql nautilus ncurses networkmanager nls nptlonly nsplugin ogg openal opengl openmp oscar pam pcre pdf perl png pppd python qt3 qt3support qt4 quicktime readline realmedia reflection remoteosd rtsp ruby samba scanner sdl session simplexml sockets socks5 spell spl sqlite sqlite3 sse ssl startup-notification stream svg symlink sysfs tagwriting tcl tcpd tiff tk udev unicode upnp usb v4l v4l2 vlm vorbis wifi wireshark wmp x264 xgl xine xinerama xml xorg xosd xpm xscreensaver xulrunner xv xvid zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="event keyboard mouse mice synaptics" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="fr fr_BE" USERLAND="GNU" VIDEO_CARDS="radeon"
Comment 55 Vande Vonder Andre 2009-05-04 05:12:04 UTC
(In reply to comment #54)

Can you re-emerge scons (emerge =dev-utils/scons-0.97) and retest emerge beid

If failed again, can you post :
- your profile ? (eselect profile list)
- emerge --info
- make.conf
- version of installed python

I search why scons are miss under your station. I test under two station one under KDE 3.5.9 and other XFCE4. With and without gtk/java use flag and all ok 
Are you under 64Bits  ? (multilib use flag enabled)

Thanks


Thanks
Comment 56 Vande Vonder Andre 2009-05-04 16:07:05 UTC
Created attachment 190320 [details]
Change log correction
Comment 57 Daniel Faucon 2009-05-04 16:17:22 UTC
- eselect profile list : 
Available profile symlink targets:
  [1]   default/linux/amd64/2008.0 *

- dev-lang/python-2.6.2

- make.conf : http://geekshell.geeknode.org/~koolfy/make.conf

- emerge --info : http://geekshell.geeknode.org/~koolfy/emerge-info.txt

- my system is amd64, and no "multilib" flag enabled AFAIK
Comment 58 Vande Vonder Andre 2009-05-05 06:44:40 UTC
(In reply to comment #57)
> 
> - dev-lang/python-2.6.2


Hello,

Ok, python 2.6 change a lot.

Use "eselect python set 1" (to set python 2.5 as default)

emerge beid

re-use "eselect python set 2" (to re-set python 2.6 as default)

Regards
Comment 59 Daniel Faucon 2009-05-05 18:36:29 UTC
> Ok, python 2.6 change a lot.
> 
> Use "eselect python set 1" (to set python 2.5 as default)
> 
> emerge beid
> 
> re-use "eselect python set 2" (to re-set python 2.6 as default)

Thank you, worked perfectly :)

By the way, do you know why It doesn't recognizes SYS cards ?
Comment 60 Vande Vonder Andre 2009-05-05 20:45:20 UTC
> By the way, do you know why It doesn't recognizes SYS cards ?
> 

Put your ID card wait 5' and remove it
Put your SIS card wait 5' and remove it

Under console : cat /var/log/messages | grep ATR

The code of card are different. Reading card but don't know what to do.
A second way, a driver of reader can't recognize this code (for my omnikey binary driver), I'm not be able to know.

In Future, our gov needs to put ID and SIS on same card !!!!! Probably this is a main reason  of source are not distributed, only  binary pack of new release (3.xxx).  
Comment 61 Vande Vonder Andre 2009-05-06 10:49:41 UTC
Created attachment 190490 [details]
Ebuild with new source uri 

New ebuild. Last version before to be stable.
Change source uri
Change howto
Comment 62 Erik Quaeghebeur 2009-05-09 11:58:45 UTC
(In reply to comment #61)
> Created an attachment (id=190490) [edit]
> Ebuild with new source uri 
> 
> New ebuild. Last version before to be stable.
> Change source uri
> Change howto

Tested it, and it works; thanks for your work.
Perhaps it should be added to sunrise (see comment #45)

I suggest even more explicitly mentioning in the howto that the essential steps (if emerging acr38y and beid succeeds) are:

adding the certificate to Firefox
/etc/init.d/pcscd start
/etc/init.d/beidpcscd start
/etc/init.d/beidcrld start
Comment 63 Vande Vonder Andre 2009-05-09 16:42:14 UTC
(In reply to comment #62)
Hello, thanks about your comment.

> adding the certificate to Firefox
> /etc/init.d/pcscd start
it's important to use readers, I add this to howto

> /etc/init.d/beidpcscd start
> /etc/init.d/beidcrld start
I test under firefox without start these two applications.
I'am be able to login with my ID card in myfin.

It's used to get new certificate or to use beid with pam
But we have a bug with this (search for next release -r1),
it's not work in console mode require always  X running. 
 
Comment 64 Erik Quaeghebeur 2009-05-11 21:25:03 UTC
(In reply to comment #63)
>
> > /etc/init.d/beidpcscd start
> > /etc/init.d/beidcrld start
> I test under firefox without start these two applications.
> I'am be able to login with my ID card in myfin.

Indeed. I don't seem to need them either, but do have to (re)start Firefox after starting /etc/init.d/pcscd 

Comment 65 Pierre Cassimans 2009-05-18 11:33:26 UTC
The source for 3.5.2 has been released. Here you go

http://code.google.com/p/eid-mw/downloads/list

Cazze
Comment 66 Erik Quaeghebeur 2009-05-20 20:43:37 UTC
(In reply to comment #65)
> The source for 3.5.2 has been released. Here you go
> 
> http://code.google.com/p/eid-mw/downloads/list

I haven't found it on http://eid.belgium.be so we can't verify whether it's the official sources...
Comment 67 Ben 2009-05-26 09:52:40 UTC
(In reply to comment #61)
> Created an attachment (id=190490) [edit]
> Ebuild with new source uri 
> 
> New ebuild. Last version before to be stable.
> Change source uri
> Change howto
> 

_________________________________________________

# emerge -av beid

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild  N    ] app-text/dos2unix-3.1-r2  14 kB [0]
[ebuild  N    ] dev-util/scons-0.97  430 kB [0]
[ebuild  N    ] app-misc/beid-2.6.0_pre  USE="-gtk -java" 0 kB [1]

Total: 3 packages (3 new), Size of downloads: 443 kB
Portage tree and overlays:
 [0] /usr/portage
 [1] /usr/local/portage

Would you like to merge these packages? [Yes/No]

>>> Verifying ebuild manifests

!!! Digest verification failed:
!!! /usr/local/portage/app-misc/beid/ChangeLog
!!! Reason: Filesize does not match recorded size
!!! Got: 1372
!!! Expected: 1326
________________________________________________

Not yet OK on my side...why?
Comment 68 Ben 2009-05-26 10:26:50 UTC
OK: I had to "phuked" around Changelog & Manifest a little bit (pitty we have to..) and I can now connect to taxonweb.be (but I gues it is already to late to be part of the early pay-back of november)

Still the beid application give me bad stuff :
"Error : Wrong Root Certificate"

Not really important, but pitty, seems so close.
Comment 69 Jonathan De Schouwer 2009-06-07 09:08:32 UTC
(In reply to comment #61)
> Created an attachment (id=190490) [edit]
> Ebuild with new source uri 
> 
> New ebuild. Last version before to be stable.
> Change source uri
> Change howto
> 
Could you post your newest ebuild?

>>> Verifying ebuild manifests

!!! Digest verification failed:
!!! /usr/local/portage/app-misc/beid/ChangeLog
!!! Reason: Filesize does not match recorded size
!!! Got: 1372
!!! Expected: 1326

I have modified my Manifest to reflect the changes of Changelog.
Comment 70 Xavier Miller gentoo-dev 2009-06-18 11:36:41 UTC
Hello,

The sources are here : http://www.opengov.be/ !!!
Yeee haaa !

(In reply to comment #24)
> (In reply to comment #23)
> I've called them today, they told me the 3.5 version of the middleware wasnt
> opensource anymore.

Comment 71 Erik Quaeghebeur 2009-07-06 21:49:05 UTC
(In reply to comment #58)
> 
> Ok, python 2.6 change a lot.
> 
> Use "eselect python set 1" (to set python 2.5 as default)
> 
> emerge beid
> 
> re-use "eselect python set 2" (to re-set python 2.6 as default)

Related to python: in the ebuild, the python version is restricted to python 2.5.4-r2; as 2.5.4-r3 has now become stable, this gives a slot error. I suppose the ebuild just needs any 2.5, no?

Erik
Comment 72 Xavier Miller gentoo-dev 2009-07-07 14:26:25 UTC
(In reply to comment #17)
> (From update of attachment 155221 [details] [edit])
> beid 2.6 not available at all on eid.belgium.be
> 
> New beid 3.5 binaries only : where are sources :-(
> 

Official reply from FedICT (today... after the 30th June, wohohoooo):

Bonjour,

Voici le lien vers la code soucre version 3.5.2 -->http://code.google.com/p/eid-mw/

Cordialement,

Bob Artois
Service Desk Fedict

Comment 73 Kobboi 2009-08-02 13:32:53 UTC
- Please update the Manifest
- Why not add this to the sunrise overlay?
- Remove the weird python dependency (we're at 2.5.4-r3 now, so why force -r2?)
- Put the "howto" (have you ever seen any package do this?) in the ebuild pkg_postinst() or something
Comment 74 Ben 2009-08-03 07:06:17 UTC
(In reply to comment #73)
Since all of these points are great inputs in order to create a more professional ebuild, why not requesting them nicely?
Comment 75 Vincent Hardy 2009-08-09 08:21:20 UTC
Created attachment 200661 [details]
new beid ebuild 3.5.2_p5800

2 new ebuild in this archive using new source from Fedict (beid-middleware-3.5.2-source-5800.zip).

1. beid-runtime-2.6.0_p5800 (stable ebuild)

Simply emerge beid-runtime

2. Beid-runtime-3.5.2_p5800 (~x86 ~amd64)

ACCEPT_KEYWORDS="~x86" emerge beid-runtime

Known issues :
1. Does not compile with xerces-c-3.0 : in your /etc/portage/profile/packages file, add "<dev-libs/xerces-c-3.0".
2. You MUST FIRST uninstall any old beid ebuild before emerging beid-runtime-3.5.2_p5800. It is not Gentoo related issue, it's also the case when compiling out of portage.
3. If emerge process doesn't start because of qt, unmerge qt 4.x.x (but not 3.3.x!).
4. I don't know how to compile and install sdk - help welcome for this point...
Comment 76 Fadi Adlouni 2009-08-12 09:43:03 UTC
Hi.
just tried latest ebuild (attached to this bug on 2009-08-09). but beid-runtime is failing:
Checking for pkg-config... ok
Checking for qt-mt >= 3.3.3... ok
Checking for libpcsclite >= 1.2.9... ok
Checking for openssl >= 0.9.7... ok
Checking for QApplication qapp(0,0) in C++ library qt-mt... no

any ideas how to get this qt-mt thing fixed?
Comment 77 Vincent Hardy 2009-08-12 13:16:16 UTC
Please attach emerge --info and the build.log
Comment 78 Fadi Adlouni 2009-08-12 14:29:11 UTC
Created attachment 201032 [details]
qt-mt configure detection failure

qt-mt configure detection failure
Comment 79 Fadi Adlouni 2009-08-12 14:29:53 UTC
hi.

attached build.log . emerge info:
root /home/fadlouni/ #emerge --info
Portage 2.1.6.13 (default/linux/x86/2008.0/desktop, gcc-4.3.4, glibc-2.10.1-r0, 2.6.29-gentoo-r5 i686)
=================================================================
System uname: Linux-2.6.29-gentoo-r5-i686-Genuine_Intel-R-_CPU_T2400_@_1.83GHz-with-gentoo-2.0.1
Timestamp of tree: Tue, 11 Aug 2009 11:00:02 +0000
ccache version 2.4 [enabled]
app-shells/bash:     4.0_p28
dev-java/java-config: 1.3.7-r1, 2.1.8-r1
dev-lang/python:     2.5.4-r2, 2.6.2-r1, 3.1
dev-util/ccache:     2.4-r8
dev-util/cmake:      2.6.4-r1
sys-apps/baselayout: 2.0.1
sys-apps/openrc:     0.4.3-r3
sys-apps/sandbox:    2.0
sys-devel/autoconf:  2.13, 2.63-r1
sys-devel/automake:  1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.2, 1.11
sys-devel/binutils:  2.19.1-r1
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.2.6a
virtual/os-headers:  2.6.30-r1
ACCEPT_KEYWORDS="x86 ~x86"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O2 -march=i686 -fomit-frame-pointer -pipe"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/udev/rules.d"
CXXFLAGS="-O2 -march=i686 -fomit-frame-pointer -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="ccache distlocks fixpackages parallel-fetch protect-owned sandbox sfperms strict unmerge-orphans userfetch userpriv usersandbox"
GENTOO_MIRRORS="http://mysterymachine.cisco.com/gentoo http://ftp.first-world.info/ http://ftp.belnet.be/mirror/rsync.gentoo.org/gentoo/"
LDFLAGS="-Wl,-O1"
LINGUAS="en en_US ar"
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/portage-overlay"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="3dnow 3dnowext X a52 aac acl acpi alsa avahi beagle berkdb bl bluetooth branding bzip2 cairo cdr cli consolekit cracklib crypt cups custom-optimization dbus divx4linux dri dvd dvdr dvdread eds emboss encode esd evo fam ffmpeg firefox flac fortran galago gcj gdbm gif gnome gnutls gpm gstreamer gtk hal iconv inotify ipv6 isdnlog java jpeg kerberos laptop ldap libnotify lzo mad matroskai mikmod mmx mmx2 mmxext mono mp2 mp3 mp4 mpeg mudflap nautilus ncurses networkmanager nls nptl nptlonly nsplugin ogg opengl openmp pam pcre pdf perl png ppds pppd pulseaudio python qt3support quicktime readline reflection samba sdl session spell spl sse sse2 ssl ssse3 startup-notification svg sysfs tcpd tga theora tiff truetype unicode usb v4l vorbis win32codecs x264 x86 xanim xcb xml xorg xprint xulrunner xv xvid xvmc zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1 emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="en en_US ar" USERLAND="GNU" VIDEO_CARDS="fglrx radeon radeonhd vesa"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, LANG, LC_ALL, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS



Thanks,
Fadi.
Comment 80 Vincent Hardy 2009-08-16 13:42:12 UTC
Warning : 
Beid doesn't compile with python 2.6
To change python version :
# eselect python set python-2.5

Comment 81 Vincent Hardy 2009-08-16 15:12:31 UTC
For qt-mt detection, it seems a Qt3/Qt4 confusion.
Before emerge beid-runtime try :
# export QMAKESPEC=linux-g++
Comment 82 zatalian 2009-08-24 09:22:40 UTC
(In reply to comment #81)
> For qt-mt detection, it seems a Qt3/Qt4 confusion.
> Before emerge beid-runtime try :
> # export QMAKESPEC=linux-g++
> 

I can't get past the first qt-mt check...

Checking for pkg-config... ok
Checking for qt-mt >= 3.3.3... failed
qt-mt >= 3.3.3 not found.

I do have qt-mt 3.3.8 installed
Comment 83 zatalian 2009-08-24 09:25:56 UTC
emerge --info

Portage 2.1.6.13 (default/linux/amd64/2008.0/desktop, gcc-4.3.2, glibc-2.9_p20081201-r2, 2.6.26-zen2.1 x86_64)
=================================================================
System uname: Linux-2.6.26-zen2.1-x86_64-AMD_Athlon-tm-_64_X2_Dual_Core_Processor_3800+-with-glibc2.2.5
Timestamp of tree: Thu, 20 Aug 2009 06:25:01 +0000
app-shells/bash:     3.2_p39
dev-java/java-config: 1.3.7-r1, 2.1.8-r1
dev-lang/python:     2.4.4-r13, 2.5.4-r3, 2.6.2-r1
dev-python/pycrypto: 2.0.1-r8
dev-util/cmake:      2.6.4
sys-apps/baselayout: 1.12.11.1
sys-apps/sandbox:    1.6-r2
sys-devel/autoconf:  2.13, 2.63-r1
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.2
sys-devel/binutils:  2.18-r3
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   1.5.26
virtual/os-headers:  2.6.27-r2
ACCEPT_KEYWORDS="amd64"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=athlon64 -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/config /var/bind /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c /etc/udev/rules.d"
CXXFLAGS="-march=athlon64 -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="distlocks fixpackages parallel-fetch protect-owned sandbox sfperms strict unmerge-orphans userfetch"
GENTOO_MIRRORS="http://www.ibiblio.org/pub/Linux/distributions/gentoo ftp://ftp.belnet.be/mirror/rsync.gentoo.org/gentoo"
LANG="en_US"
LDFLAGS="-Wl,-O1"
LINGUAS="en"
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/layman-portage/custom-kernels /usr/local/layman-portage/jmbsvicetto /usr/local/layman-portage/desktop-effects /usr/local/layman-portage/zugaina /usr/local/layman-portage/berkano /usr/local/layman-portage/vmware /usr/local/layman-portage/java-overlay /usr/local/layman-portage/voip /usr/local/layman-portage/mozilla /usr/local/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="3dnow 3dnowext X a52 aac aalib acl acpi alsa amd64 apache2 berkdb bitmap-fonts bluetooth branding browserplugin bzip2 cairo caps cdr cli cracklib crypt cups dbus divx dri dts dv dvd dvdr dvdread emboss encode evo exif fam ffmpeg firefox flac gcj gdbm gif gimp gimpprint gnome gpm gstreamer gtk hal iconv isdnlog java java5 jpeg ldap libcaca libnotify mad mikmod mjpeg mmx mmxext mng mono mozilla mp3 mp4 mpeg mudflap multilib ncurses nls nptl nptlonly nsplugin nvidia odbc ogg opengl openmp pam pcre pdf perl png postgres ppds pppd python qt3 qt3support qt4 quicktime readline realmedia reflection samba sdl session speex spell spl sqlite sse sse2 ssl startup-notification svg sysfs tcltk tcpd theora threads tiff truetype truetype-fonts type1-fonts unicode usb userlocales vcd vhosts vorbis wma wmp x264 xcb xcomposite xml xorg xulrunner xv xvid zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="keyboard mouse evdev kbd" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="en" USERLAND="GNU" VIDEO_CARDS="nvidia nv"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, LC_ALL, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 84 Vincent Hardy 2009-08-24 15:48:35 UTC
Created attachment 202167 [details]
beid 3.5.2_p5800 ebuild without qt-mt detection

It seems qt-mt detection doesn't work on every config.
Like old 2.6.0 ebuild, I've disabled qt-mt detection.
Comment 85 Vincent Hardy 2009-10-30 16:36:02 UTC
Created attachment 208745 [details]
beid 3.5.2_p5800-r1 ebuild

beid-runtime works now with xerces-c 3.0. Thanks to Pierre Lejeune.

Before emerging beid-runtime :
- verify python version used : # eselect python list -> must be python2.5 to compile (if you want, you can set back python2.6 after emerging beid-runtime)
- please FIRST uninstall old beid-runtime.

Note for developers :
In my new ebuild, I call epatch_user : to test your personal patch easily, simply drop your patch in /etc/portage/patches/app-misc/beid-runtime/ and afterwards emerge beid-runtime.
Comment 86 zatalian 2009-11-02 12:53:47 UTC
I'm getting the following compile error : 

In file included from src/eidviewer/eidviewerApp.h:13,
                 from src/eidviewer/PrintOut.cpp:15:
src/eidviewer/eidviewerFrame.h:39: error: ISO C++ forbids declaration of 'wxNotebookSizer' with no type
src/eidviewer/eidviewerFrame.h:39: error: expected ';' before '*' token
scons: *** [src/eidviewer/PrintOut.o] Error 1

Comment 87 zatalian 2009-11-03 14:06:32 UTC
wxGTK28.patch fixed the problem. For some reason, this patch is commented out in the latest ebuild
Comment 88 Vincent Hardy 2009-11-03 17:03:13 UTC
yes, because, normally, beidgui from 2.6 part should not be compiled (gtk use flag is also removed). 2.6 part is provided only for backward compatibility. Moreover, building beidgui 3.5.2 overwrites beidgui 2.6.
If you want old 2.6 beidgui : emerge =beid-runtime-2.6.0_p5800
Comment 89 Vincent Hardy 2009-11-03 17:07:46 UTC
Created attachment 209139 [details]
new 1.7.10 version

Old version is not available anymore on acs site.
Comment 90 Patrick De Pinguin 2009-12-30 13:59:16 UTC
(In reply to comment #88)
> yes, because, normally, beidgui from 2.6 part should not be compiled (gtk use
> flag is also removed). 2.6 part is provided only for backward compatibility.
> Moreover, building beidgui 3.5.2 overwrites beidgui 2.6.
> If you want old 2.6 beidgui : emerge =beid-runtime-2.6.0_p5800
> 

However, the 'eidviewer' (from 2.6 eid) is taken along in the compilation whenever wxGTK-2.6 is present in the system. Otherwise, the warning: "Not building eidviewer: no wx_gtk 2.4 or 2.6 found" is given.

If both wxGTK-2.6 and wxGTK-2.8 are present, the compilation of eidviewer (started due to the presence of wxGTK-2.6) will actually use wxGTK-2.8 and therefore fail, unless the provided patch is used.

I believe that either eidviewer should not be compiled at all when using ebuild 3.5.2, either the patch for wxGTK-2.8 should be used to make ebuild 3.5.2 compile correctly in all cases.
Comment 91 Patrick De Pinguin 2009-12-30 14:09:00 UTC
I'm having trouble with beid-runtime: I don't see the images.

* On middleware 2.6, originally everything worked. After upgrading to jpeg-7, the application fails when reading the picture, with message:
Wrong JPEG library version: library is 70, caller expects 62
Even after installation of jpeg-compat (containing libjpeg.so.62), the same happens. I tried preloading the library with LD_PRELOAD, but this doesn't work.

* On middleware 3.5.2, I don't get faults, but don't see any images. Not the picture from the ID card, not the other images (card chip, card background, official 'shield' on the print page, ...) as I see in the Windows version. I don't see any obvious faults in the installation that may be related to this.

Any idea how I can fix these issues?
Comment 92 Vincent Hardy 2009-12-30 14:55:20 UTC
In reply to comment #90
You're right. Anyway, this will happen in the next eid release
(-> http://code.google.com/p/eid-mw/source/detail?r=105).
Comment 93 Vincent Hardy 2010-01-31 16:15:20 UTC
Created attachment 217997 [details]
beid subversion

New ebuild to emerge last subversion source. Use with caution.
To use this ebuild, add "=app-misc/beid-runtime-9999 **" to your /etc/portage/package.keywords.
Legacy beid 2.6.0 (and dependencies) is removed.
Current version is 3.5.3.
Comment 94 Fournier Philippe 2010-03-21 22:10:55 UTC
(In reply to comment #39)
> (In reply to comment #37)
> > 
> > Using the beid-programs on the other hand results in errors
> 
> Ok. I was very confused (I had put in my bank card...). Using my eID, I get a
> bit farther (but not there yet):
> 
> $ beid-tool -n
> Connecting to card in reader ACS ACR38U 00 00...
> Using card driver: Belpic smartcards
> Card name: Belpic smartcards
> 
> $ beid-pkcs11-tool -t
> C_SeedRandom() and C_GenerateRandom():
>   seems to be OK
> Digests:
>   all 4 digest functions seem to work
>   MD5: OK
>   SHA-1: OK
>   RIPEMD160: OK
> Signatures (currently only RSA signatures)
>   testing key 0 (Authentication)
>   all 4 signature functions seem to work
>   testing signature mechanisms:
>     RSA-PKCS: OK
>     SHA1-RSA-PKCS: OK
>     MD5-RSA-PKCS: OK
>     RIPEMD160-RSA-PKCS: OK
>   testing key 1 (Signature) with 1 signature mechanism
>     RSA-PKCS: OK
> Verify (currently only for RSA):
>   testing key 0 (Authentication)
>     RSA-PKCS: OK
>     SHA1-RSA-PKCS: OK
>     MD5-RSA-PKCS: OK
>     RIPEMD160-RSA-PKCS: OK
>   testing key 1 (Signature) with 1 mechanism
>     RSA-PKCS: OK
> Key unwrap (RSA)
>   testing key 0 (Authentication)  -- can't be used to unwrap, skipping
>   testing key 1 (Signature)  -- can't be used to unwrap, skipping
> Testing card detection
> 
> However, for the gui, I get another error:
> 
> "Error : Verkeerd Root Certificaat" (i.e., "Error : Wrong Root Certificate")
> 
> I seem to remember having read something about this, but I can't seem to find a
> solution on-line. Any help on this issue welcome. (I have the impression I'm
> almost there.)
> 

Hello

I think I've found a work around for this issue. (I'm using Mandriva 2010)
Just allow "testcards" in beidgui.conf. You'll get a warning when accessing card with beid-gui but it's working fine.
I also can access www.taxonweb.be without problem (naturally with PKCS#11 configured in Firefox)

Greetz

Philippe

[CA_certs]
# Allow testcards
allowtestroot = 
Comment 95 Vincent Hardy 2010-04-29 12:35:37 UTC
Created attachment 229677 [details]
acr38u driver 1.7.10

- adding missing pkgconfig dependency
- correcting LICENSE and DESCRIPTION
Comment 96 Ben 2010-05-12 11:01:11 UTC
(In reply to comment #93)

-------------8<-----------
# emerge -av beid-runtime 
These are the packages that would be merged, in order:
Calculating dependencies... done!
emerge: there are no ebuilds to satisfy "x11-libs/qt:3".
(dependency required by "app-misc/beid-runtime-3.5.2_p5800-r1" [ebuild])
(dependency required by "beid-runtime" [argument])
-------------8<-----------

Not sure what I am missing here... ~amd64 and having it in my /usr/local/portage
Comment 97 Vincent Hardy 2010-05-12 12:49:34 UTC
beid-runtime-3.5.2_p5800 is an old release with Qt3 dependency.
Current beid doesn't need Qt3 but unfortunately, Fedict doesn't make official  tarball release anymore :-(
Accordingly, you have to use beid subversion ebuild :
# echo "=app-misc/beid-runtime-9999 **" >> /etc/portage/package.keywords 
# emerge beid-runtime 
Comment 98 Vincent Hardy 2010-06-14 08:59:36 UTC
Created attachment 235239 [details]
ebuild - beid subversion sources branch 3.5.4

remove old useless beid-runtime ebuild from your local portage tree before extracting beid-runtime-3.5.4.tar.bz2 :
# rm -rf app-misc/beid-runtime

French Howto : http://www.linuxunderground.be/beid.html
Comment 99 Vincent Hardy 2010-08-17 11:11:17 UTC
Created attachment 243321 [details]
emerging beid-runtime with 64bits gentoo

Beid-runtime fails to emerge with 64bits gentoo.
With 32bits gentoo, it works very well.
Is anybody have an idea ?
Comment 100 Vande Vonder Andre 2010-09-03 16:37:22 UTC
(In reply to comment #99)
> Created an attachment (id=243321) [details]
> emerging beid-runtime with 64bits gentoo
> 
> Beid-runtime fails to emerge with 64bits gentoo.
> With 32bits gentoo, it works very well.
> Is anybody have an idea ?
> 

libtomcrypt/tomcrypt_macros.h: In function ‘ROLc’:
libtomcrypt/tomcrypt_macros.h:229: attention : asm operand 2 probably doesn’t match constraints
libtomcrypt/tomcrypt_macros.h:229: erreur: impossible constraint in ‘asm’

For me it's due by incorrect detection of x86_64 platform (look at http://gcc.gnu.org/onlinedocs/gcc/Machine-Constraints.html#Machine-Constraints)

If you look at tomcrypt_macros.h ; you get i386 def instead of x86_64.
I look about that but can't find solution (probably ./configure ?)
Comment 101 Vincent Hardy 2010-09-06 11:22:40 UTC
The problem appeared recently with my 32bits version of gentoo.
With portage tree about the month of May, there was no problem.
Comment 102 Vincent Hardy 2010-10-27 09:20:50 UTC
Created attachment 252171 [details]
ebuild - beid subversion sources (TRUNK)

New ebuild - subversion sources.
beidgui no longer exists and eid-console isn't completely ready for linux.
To test your eID :
- Set your eID in smart-card reader.
- Download http://eid-mw.googlecode.com/files/belgiumeid-1.0.6.xpi and open it with Firefox.
- Try to authenticate you on (eg) http://www.myminfin.be/
Comment 103 Vincent Hardy 2010-10-28 07:07:05 UTC
Created attachment 252331 [details]
ebuild - beid subversion sources (TRUNK)

no_console_patch*  were implemented in official svn trunk.
Comment 104 Erik Quaeghebeur 2010-12-11 20:54:31 UTC
(In reply to comment #103)
> Created an attachment (id=252331) [details]
> ebuild - beid subversion sources (TRUNK)

Vincent, any plans for sunrising the beid and acr38u ebuilds?
Comment 105 Urban 2011-01-14 09:31:58 UTC
Created attachment 259777 [details]
ACR 38U driver

New version of ACR38U driver with a patch to consider WTE (Wait Time Extension) smartcard response with T=1 protocol.
Comment 106 Urban 2011-01-17 13:26:29 UTC
Created attachment 260045 [details]
ACR 38U driver

Previous file have a huge patch! I generated it again without the autoreconf command done. I apologize for the mistake.
Comment 107 Vincent Hardy 2011-01-27 11:57:34 UTC
Created attachment 260851 [details]
acr38u smart card driver 1.7.10 : add udev rule

Add udev rule to set access rights of reader so it can be used by pcscd.
Thanks to Flameeyes.
Comment 108 Diego Elio Pettenò (RETIRED) gentoo-dev 2011-01-31 00:50:48 UTC
Vincent, as I told you I'd like for you to proxy maintain this in main tree. As with the current ebuild, there are a few issues:

 - it should use econf and not prefix everything with ${D} when passing the parameters (econf already takes care of libdir, prefix and the like);
 - epatch_user should really be deprecated at this point as there are other ways to deal with that, but that's up to debate I guess;
 - you should use versionator.eclass so that the references to the version number in SRC_URI and S are instead results of the ${PV} of the ebuild, so that if nothing big changes a single rename would suffice;
 - the .la files are likely unneeded altogether, so simply delete those rather than trying to fix them;
 - the rules should be installed in /$(get_libdir)/udev/rules.d (and to use that you should inherit multilib);
 - the patch in the tarball is not used and seem only to contain debian files; also if you wish to fetch the debian patches from their own repositories look at mail-mta/ssmtp;
 - please only attach the ebuild itself, not the whole tarball, as it makes review much more difficult.

If you can take care of these issues, I'd be delighted to commit this to the tree afterwards, with you as proxied maintainer.
Comment 109 Vincent Hardy 2011-02-14 14:07:18 UTC
Created attachment 262467 [details]
ebuild - beid subversion sources (TRUNK)

New version for current subversion TRUNK.
Comment 110 Vincent Hardy 2011-03-16 11:05:04 UTC
Created attachment 266095 [details]
acr38u non CCID driver (ebuild only)

ebuild file only : for review by gentoo devs
Comment 111 Vincent Hardy 2011-03-16 11:11:22 UTC
Created attachment 266097 [details]
ACR38u Non CCID driver

new ACR38u ebuild.
Warning : use at least 1.7.0 version of pcsc-lite.
Comment 112 Vincent Hardy 2011-03-16 11:21:25 UTC
epatch_user is here for italian users (see comment 106)
Comment 113 Vincent Hardy 2011-03-21 08:05:54 UTC
Comment on attachment 266097 [details]
ACR38u Non CCID driver

acr38u driver is in portage tree now.
If you have any troubles with acr38u ebuild, please fill a new bug report.
Comment 114 Vincent Hardy 2011-03-21 08:15:11 UTC
Created attachment 266689 [details]
ebuild - beid subversion sources (TRUNK)
Comment 115 Erik Quaeghebeur 2011-03-21 23:32:59 UTC
(In reply to comment #114)
> Created attachment 266689 [details]
> ebuild - beid subversion sources (TRUNK)

I tried to install the beid-runtime packages.

For the 3.5.4 version, I got the same compilation error as reported in the "emerging beid-runtime with 64bits gentoo" attachment.

The 9999 version installs, but I don't get any binaries (not unexpected given the comments in the changelog), but the Firefox addon is installed. However, I cannot seem to use it; I tried MyMinFin and get an error about a missing ssl-certificate (but the site has a message about being down) and also "My File (Rijksregister)" application, which complains about a missing ssl-certificate as well.

So my questions:
* how do I test my card (the light on my ACR38u just doesn't change behavior after I put my card in; the acr38u ebuild went fine)?
(I have
# /etc/init.d/pcscd status
 * status:  started
)
I used to do this with the beid-binaries.

* how is the firefox plugin supposed to work

* do I or don't I need the runtime?
Comment 116 Vincent Hardy 2011-03-22 09:16:28 UTC
> So my questions:
> * how do I test my card (the light on my ACR38u just doesn't change behavior
> after I put my card in; the acr38u ebuild went fine)?
emerge pcsc-tools and start
$ pcsc_scan
Is your reader recognized ?
 
> * how is the firefox plugin supposed to work
Just open the xpi file in Firefox. 
But I don't like beid xpi plugin (at least for linux OS). Remove it and try install beid manually in Firefox (-> http://www.linuxunderground.be/beid.html - in french but there are screenshots).
 
> * do I or don't I need the runtime?
Yes, you need runtime, especially libbeid* files. If you configure firefox manually, you will understand it.
Comment 117 Erik Quaeghebeur 2011-03-22 16:49:36 UTC
> $ pcsc_scan
> Is your reader recognized ?

Yes!

> > * how is the firefox plugin supposed to work
> Just open the xpi file in Firefox. 
> But I don't like beid xpi plugin (at least for linux OS). Remove it and try
> install beid manually in Firefox (-> http://www.linuxunderground.be/beid.html -
> in french but there are screenshots).

I tried all possible combinations: ebuild-installed xpi, addons.mozilla-installed xpi, and without xpi; none worked. The reader and card are clearly recognized, I can select my certificate when going to MyMinFin and other websites using BeID, but then i get "ssl_error_handshake_failure_alert" or "The page requires a client certificate"... I activated the right certificates as in the linuxunderground instructions and my cerificates are still valid, but it doesn't work. (Two weeks ago, I successfully used my card on a Windows PC.)

Is there any way to get a more informative error message (which certificate is asked and not supplied)?
Comment 119 Vincent Hardy 2011-03-29 11:17:13 UTC
(In reply to comment #117)

Don't use firefox-bin and try new firefox 4 :
# ACCEPT_KEYWORDS="~amd64" emerge firefox

It should work now.
Comment 120 Erik Quaeghebeur 2011-03-29 22:12:53 UTC
(In reply to comment #119)
> try new firefox 4 :
> 
> It should work now.

Firefox 4 is nice, but sadly enough it changed nothing about my problem.
Thanks for trying to help, though.
Comment 121 Jan Vansteenkiste 2011-04-27 05:48:12 UTC
FYI: With the latest trunk, I had to comment out patch no_viewer1.patch and no_viewer2.patch before getting beid-runtime compiled.
Comment 122 Ben 2011-05-26 08:17:32 UTC
Manual step in Firefox 4.0 leads to "unable to load module" when providing /usr/lib/libbeidpkcs11.so to (existing) New PKCS#11 Module ..
And I tried also after removing the Fedic plugin.
Certificate shows 'belgium root CA2' with 
- Belgium root CA2
- Citizen CA
- Gov. CA
- Gov. CA

What do I do wrong?
any chance with chromium or konqueror?
Comment 123 Vincent Hardy 2011-06-08 10:01:38 UTC
(In reply to comment #122)
> Manual step in Firefox 4.0 leads to "unable to load module" when providing
> /usr/lib/libbeidpkcs11.so to (existing) New PKCS#11 Module ..

Make sure app-emulation/emul-linux-x86-qtlibs is installed. This dependency is missing in my current ebuild (amd64 users only).
Comment 124 Vincent Hardy 2011-07-26 08:29:55 UTC
Created attachment 281013 [details]
ebuild alone for review by gentoo devs

Ebuild changed its name. It is now called eid-mw to be consistent with this project. This is the first tarball release of eid-mw 4.0.0.
Comment 125 Vincent Hardy 2011-07-26 08:31:52 UTC
Created attachment 281015 [details]
eid-mw-4.0.0_p925
Comment 126 Torsten Veller (RETIRED) gentoo-dev 2011-07-26 16:00:56 UTC
- Changed the summary (as requested)
- No, it's not possible to remove obsolete comments
- but i could mark older (before 2011) attachments as obsolete
  (Don't you have the rights? Click Details of the attachment, then 'edit details' and 'obsolete'.)
- for a review you better talk to Diego as he already offered to proxy-maintain the package.
Comment 127 Erik Quaeghebeur 2011-10-10 17:18:43 UTC
(In reply to comment #111)
> Created attachment 266097 [details]
> ACR38u Non CCID driver
> 
> new ACR38u ebuild.
> Warning : use at least 1.7.0 version of pcsc-lite.

This is not enforced by the ebuild and so 1.6.6 is currently installed by default.
What kind of problems can using 1.6.6 give rise to?
Comment 128 Vincent Hardy 2011-10-11 07:02:47 UTC
> What kind of problems can using 1.6.6 give rise to?

With my gentoo box, using 1.6.6 pcsc-lite, acr38u driver works as expected except you have to start pcscd daemon before plugging the reader.

If not, log file endless loop with the message
--
Mar 02 18:39:40 [pcscd] winscard_msg_srv.c:189:ProcessEventsServer() Select returns with failure: Bad file descriptor
Mar 02 18:39:40 [pcscd] pcscdaemon.c:109:SVCServiceRunLoop() Error in ProcessEventsServer
Mar 02 18:39:40 [pcscd] winscard_msg_srv.c:189:ProcessEventsServer() Select returns with failure: Bad file descriptor
Mar 02 18:39:40 [pcscd] pcscdaemon.c:109:SVCServiceRunLoop() Error in ProcessEventsServer
...
Comment 129 Erik Quaeghebeur 2011-10-11 07:27:45 UTC
(In reply to comment #128)
> > What kind of problems can using 1.6.6 give rise to?
> 
> With my gentoo box, using 1.6.6 pcsc-lite, acr38u driver works as expected
> except you have to start pcscd daemon before plugging the reader.

I do not have this problem; the pcscd gets hotplugged correctly in my setup with 1.6.6.
Comment 130 Erik Quaeghebeur 2011-10-11 14:25:41 UTC
This may help other people browsing this bug: I was unable to use the eid-card on-line although the whole setup seemed correct. The reason for this (unearthed with the help of a FeDict ServiceDesk engineer) was that my /tmp partition had the noexec parameter set and the middleware uses /tmp for some temporary executables (to bring up the permission and pin dialogs). They are not entirely happy with this approach, but may (or may not) change this in the future.

Perhaps a message about this can be added to the eid-mw ebuild to be displayed at the end of the emerge process.

(And you need to accept cookies, of course...)
Comment 131 Kobboi 2011-12-27 18:04:12 UTC
eid-mw-4.0.0_p925 installs the 1.0.11 Firefox plugin, which is incompatible with recent version of Firefox. Could we have the 1.0.12 version installed with this ebuild?
Comment 132 Vincent Hardy 2011-12-28 10:36:24 UTC
Created attachment 297181 [details]
eid-mw-4.0.0_p1120

version bump.
Comment 133 Vincent Hardy 2012-01-18 14:03:16 UTC
Created attachment 299237 [details]
eid-mw-4.0.0_p1135

xpi use flag works as expected : belgiumeid extension is now installed into the right mozilla extensions directory.
Comment 134 Erik Quaeghebeur 2012-03-24 17:08:45 UTC
(In reply to comment #133)
> Created attachment 299237 [details]
> eid-mw-4.0.0_p1135

When trying to emerge, I get:

!!! Digest verification failed:
!!! /usr/local/portage/app-misc/eid-viewer-bin/eid-viewer-bin-4.0.0_p82.ebuild
!!! Reason: Filesize does not match recorded size
!!! Got: 1042
!!! Expected: 1031

How do I fix this again (I've done this in the past, but forgot how; sorry)?
Comment 135 Vincent Hardy 2012-03-26 11:57:45 UTC
try delete eid-viewer-4.0.0-82.tar.gz in your distfiles directory and re-emerge.
Or try latest available version here : http://www.linuxunderground.be/beid.html

By the way, eid-viewer-bin bug page is https://bugs.gentoo.org/show_bug.cgi?id=372187
Comment 136 Vincent Hardy 2012-04-12 08:52:04 UTC
In portage tree now.
This bug can be closed.
Thanks to Flameeyes.